DEV: Allow using .js extension for javascript modules in themes (PR #9358)

GitHub

This pull request has been mentioned on Discourse Meta. There might be relevant details there:

Excellent! I saw on meta that previously js was not supported so backwards compatibility was never a concern here!